/* CSS Custom Properties Definitions */

:root {
  --maxWidth-none: 'none';
  --maxWidth-xs: 20rem;
  --maxWidth-sm: 24rem;
  --maxWidth-md: 28rem;
  --maxWidth-lg: 32rem;
  --maxWidth-xl: 36rem;
  --maxWidth-2xl: 42rem;
  --maxWidth-3xl: 48rem;
  --maxWidth-4xl: 56rem;
  --maxWidth-full: '100%';
  --maxWidth-wrapper: var(--maxWidth-2xl);
  --spacing-px: '1px';
  --spacing-0: 0;
  --spacing-1: 0.25rem;
  --spacing-2: 0.5rem;
  --spacing-3: 0.75rem;
  --spacing-4: 1rem;
  --spacing-5: 1.25rem;
  --spacing-6: 1.5rem;
  --spacing-8: 2rem;
  --spacing-10: 2.5rem;
  --spacing-12: 3rem;
  --spacing-16: 4rem;
  --spacing-20: 5rem;
  --spacing-24: 6rem;
  --spacing-32: 8rem;
  --fontFamily-sans:
    -apple-system, system-ui, BlinkMacSystemFont, 'Segoe UI', Roboto;
  --fontFamily-serif:
    'Iowan Old Style', 'Palatino Linotype', 'URW Palladio L', P052, serif;
  --fontFamily-mono:
    ui-monospace, 'Cascadia Code', 'Source Code Pro', Menlo, Consolas,
    'DejaVu Sans Mono', monospace;
  --content-letter-spacing: -0.01em;
  --head-nav-gap: 3.2rem;
  --font-body: var(--fontFamily-serif);
  --font-heading: var(--fontFamily-sans);
  --fontWeight-normal: 400;
  --fontWeight-medium: 500;
  --fontWeight-semibold: 600;
  --fontWeight-bold: 700;
  --fontWeight-extrabold: 800;
  --fontWeight-black: 900;
  --fontSize-root: 18px;
  --lineHeight-none: 1;
  --lineHeight-tight: 1.1;
  --lineHeight-normal: 1.5;
  --lineHeight-relaxed: 1.625;
  /* 1.200 Minor Third Type Scale */
  --fontSize-0: 0.833rem;
  --fontSize-1: 1rem;
  --fontSize-2: 1.15rem;
  --fontSize-3: 1.31rem;
  --fontSize-4: 1.5rem;
  --fontSize-5: 1.72rem;
  --fontSize-6: 1.97rem;
  --fontSize-7: 2.25rem;
  --color-base: rgb(245 243 243);
  --color-base-2: rgb(247 248 249);
  --color-base-3: rgb(255, 255, 255);
  --color-body: #fdfcfb;
  --color-primary: #b33900;
  --color-secondary: #007ab3;
  --color-text: #240b00;
}

/* HTML elements */

*,
:after,
:before {
  box-sizing: border-box;
}

.bg-base {
  background-color: var(--color-base);
}

.bg-base-2 {
  background-color: var(--color-base-2);
}

.bg-base-3 {
  background-color: var(--color-base-3);
}

.bg-base-grad {
  background-image: linear-gradient(180deg, var(--base) 20%, var(--base-3) 40%);
}

html {
  line-height: var(--lineHeight-relaxed);
  font-size: var(--fontSize-root);
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
}

body {
  background-color: var(--color-body);
  font-family: var(--font-body);
  font-size: var(--fontSize-1);
  color: var(--color-text);
  text-rendering: optimizeSpeed;
}

footer {
  padding: var(--spacing-6) var(--spacing-0);
  font-family: var(--fontFamily-sans);
}

nav,
.bio {
  font-family: var(--fontFamily-sans);
}

hr {
  background: var(--color-primary);
  height: 1px;
  border: 0;
}

img {
  max-width: 100%;
  height: auto;
}

figure {
  margin: var(--spacing-0) var(--spacing-0) var(--spacing-4) var(--spacing-0);
}

figcaption {
  font-size: var(--fontSize-0);
  text-align: center;
}

time {
  white-space: nowrap;
}

/* Heading */

h1,
h2,
h3,
h4,
h5,
h6 {
  color: var(--color-text);
  font-family: var(--font-heading);
  font-weight: var(--fontWeight-bold);
  margin-top: var(--spacing-12);
  margin-bottom: var(--spacing-6);
  line-height: var(--lineHeight-tight);
  letter-spacing: -0.025em;
}

h1 {
  font-weight: var(--fontWeight-black);
  font-size: var(--fontSize-6);
}

h2 {
  font-size: var(--fontSize-5);
}

h3 {
  font-size: var(--fontSize-3);
}

h4 {
  font-size: var(--fontSize-1);
}

h5 {
  font-size: var(--fontSize-1);
}

h6 {
  font-size: var(--fontSize-1);
}

.feed-content h3 {
  margin: var(--spacing-0) var(--spacing-0) var(--spacing-4) var(--spacing-0);
  padding: var(--spacing-0);
}

.feed-separator {
  margin: var(--spacing-2) var(--spacing-0) var(--spacing-4) var(--spacing-0);
}

.feed-meta {
  font-size: 70%;
}

header a,
header a:visited {
  color: var(--color-text);
  text-decoration: none;
}

header a:hover,
header a:focus {
  text-decoration: none;
  background-color: var(--color-primary);
  color: var(--color-body);
}

h2 > a,
h3 > a,
h4 > a,
h5 > a,
h6 > a {
  text-decoration: none;
  color: inherit;
}

/* Prose */

p {
  line-height: var(--lineHeight-relaxed);
  --baseline-multiplier: 0.179;
  --x-height-multiplier: 0.35;
  margin: var(--spacing-0) var(--spacing-0) var(--spacing-4) var(--spacing-0);
  padding: var(--spacing-0);
}

ul,
ol {
  margin-left: var(--spacing-4);
  margin-right: var(--spacing-0);
  padding: var(--spacing-0);
  margin-bottom: var(--spacing-8);
  list-style-position: inside;
  list-style-image: none;
}

ul li,
ol li {
  padding-left: var(--spacing-0);
  margin-bottom: var(--spacing-0);
}

details {
  margin-left: var(--spacing-4);
}

details summary {
  cursor: pointer;
}

.list-none {
  list-style-type: none;
}

.hlist {
  display: flex;
  flex-wrap: wrap;
  margin: 0;
}

.hlist li {
  list-style-type: none;
  padding: 0 0.5em 0 0;
  margin: 0;
}

li > p {
  display: inline;
}

li *:last-child {
  margin-bottom: var(--spacing-0);
}

blockquote {
  color: var(--color-secondary);
  margin: var(--spacing-8) var(--spacing-8) var(--spacing-8) var(--spacing-0);
  padding: var(--spacing-0) var(--spacing-0) var(--spacing-0) var(--spacing-6);
  border-left: var(--spacing-1) solid var(--color-secondary);
  font-size: var(--fontSize-2);
  font-style: italic;
}

blockquote > :last-child {
  margin-bottom: var(--spacing-0);
}

blockquote > ul,
blockquote > ol {
  list-style-position: inside;
}

table {
  width: 100%;
  margin-bottom: var(--spacing-8);
  border-collapse: collapse;
  border-spacing: 0.25rem;
}

table thead tr th {
  border-bottom: 1px solid var(--color-primary);
}

/* Link */

a,
a:visited {
  color: var(--color-primary);
}

a:hover,
a:focus {
  text-decoration: none;
  background-color: var(--color-primary);
  color: var(--color-body);
}

/* Custom classes */

.global-wrapper {
  margin: var(--spacing-0) auto;
  max-width: var(--maxWidth-wrapper);
  padding: var(--spacing-10) var(--spacing-5);
}

.global-wrapper[data-is-root-path='true'] .bio {
  margin-bottom: var(--spacing-20);
}

.global-header {
  margin-bottom: var(--spacing-12);
}

.main-heading {
  font-size: var(--fontSize-7);
  margin: 0;
}

.post-list-item {
  display: flex;
  align-items: flex-start;
  margin-bottom: var(--spacing-8);
  margin-top: var(--spacing-8);
  flex-direction: row;
}

.post-list-item > a {
  flex: 0 0 auto; /* Do not grow or shrink */
  margin-right: 20px; /* Space between image and text */
}

/*.post-list-item picture {
	display: block;
	height: auto;
	width: 200px;
}*/

.post-list-item > section {
  flex: 1; /* Take up remaining space */
}

.post-list-item p {
  margin-bottom: var(--spacing-0);
}

.post-list-item h2 {
  font-size: var(--fontSize-4);
  color: var(--color-primary);
  margin-bottom: var(--spacing-2);
  margin-top: var(--spacing-0);
}

.post-list-item header {
  margin-bottom: var(--spacing-4);
}

.header-link-home {
  font-weight: var(--fontWeight-bold);
  font-family: var(--font-heading);
  text-decoration: none;
  font-size: var(--fontSize-2);
}

.bio {
  display: flex;
  align-items: center;
  margin-bottom: var(--spacing-16);
}

.bio p {
  margin-bottom: var(--spacing-0);
}

.bio-avatar {
  display: inline-block;
  -webkit-border-radius: 50%;
  -moz-border-radius: 50%;
  border-radius: 50%;
  -khtml-border-radius: 50%;
  border: 3px solid #fff;
  min-width: 55px;
  margin-right: var(--spacing-4);
  margin-bottom: var(--spacing-0);
}

.bio-avatar picture img {
  display: block;
  height: 50px;
  width: 50px;

  -webkit-border-radius: 50%;
  -moz-border-radius: 50%;
  border-radius: 50%;
  -khtml-border-radius: 50%;
}

.circle {
  -webkit-border-radius: 50%;
  -moz-border-radius: 50%;
  border-radius: 50%;
  -khtml-border-radius: 50%;
}

.blog-post header h1 {
  margin: var(--spacing-0) var(--spacing-0) var(--spacing-4) var(--spacing-0);
}

.blog-post header p {
  font-size: var(--fontSize-2);
  font-family: var(--font-heading);
}

/*.blog-post picture {
	display: block;
	height: auto;
	width: 512px;
	max-width: 100%;
	margin: auto;
}*/

.blog-post-nav ul {
  margin: var(--spacing-0);
  display: flex;
  flex-wrap: wrap;
  justify-content: space-between;
  list-style: none;
  padding: 0;
}

.gatsby-highlight {
  margin-bottom: var(--spacing-8);
}

.embedVideo {
  padding-bottom: 56.42857142857143%;
  position: relative;
  height: 0;
  overflow: hidden;
  margin-bottom: 1.0725rem;
}

.embedVideo iframe {
  border: 0;
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
}

.searchform {
  display: flex;
  gap: 5px;
  width: 100%;
}

.searchform input {
  flex: 3;
  width: 2em;
}

.searchform button {
  flex: 1 0;
}

small,
.small {
  font-size: var(--fontSize-0);
}

.header-anchor {
  font-size: var(--fontSize-1);
  opacity: 0.2;
}

.footnote-item p {
  display: inline;
}

/* Media queries */

@media (max-width: 42rem) {
  .bio,
  .post-list-item {
    flex-direction: column;
  }
  .bio-avatar,
  .post-list-item > a {
    margin-right: var(--spacing-0);
    margin-bottom: var(--spacing-4);
  }
  blockquote {
    padding: var(--spacing-0) var(--spacing-0) var(--spacing-0) var(--spacing-4);
    margin-left: var(--spacing-0);
  }
  ul,
  ol {
    list-style-position: inside;
  }
}
